title = "Social 📸 Photography"
description = "Announcements and general info about the photog.social Mastodon instance."

baseURL = "https://blog.photog.social"
languageCode = "en-us"
theme = "beautifulhugo"
disableHugoGeneratorInject = true
enableGitInfo = true
enableRobotsTXT = true
log = true
verbose = true
verboaseLog = true
copyright = "CC By-NC-SA 4.0"

ignoreFiles = [
  "_syndication",
  ".gitignore",
  "build.sh",
  "Creative Commons — Attribution-NonCommercial-ShareAlike 4.0 International — CC BY-NC-SA 4.0_files",
  "Creative Commons — Attribution-NonCommercial-ShareAlike 4.0 International — CC BY-NC-SA 4.0.html",
  "hugo.exe",
  "README.md",
  "sig_md.ps1"
]

[permalinks]
  post = "/post/:year/:month/:title/"

[sitemap]
  changefreq = "daily"
  filename = "sitemap.xml"
  priority = 0.5

[Params]
  homeTitle = "Social 📸 Photography"
  subtitle = "Announcements and general info about the photog.social Mastodon instance."
  logo = "img/avatar-icon.png"
  favicon = "img/favicon.ico"
  dateFormat = "2006/01/02"
  commit = "https://gitlab.com/photog.social/photog_social_website/commit/"
  rss = true
  comments = false
  readingTime = true
  useHLJS = true
  socialShare = false

[Author]
  name = "Ambassador"
  website = "https://photog.social/about/more"
  email = "info@photog.social"
  activitypub = "https://photog.social/@Ambassador"
  gitlab = "photog.social"

[menu]
  [[menu.main]]
    name = "Donations"
    url = "/donations/"
  [[menu.main]]
    name = "Galleries"
    identifier = "galleries"
  [[menu.main]]
    parent = "galleries"
    name = "Main Photo Gallery"
    url = "https://gallery.photog.social"
  [[menu.main]]
    parent = "galleries"
    name = "Foto Fails Gallery"
    url = "https://fotofails.photog.social"
  [[menu.main]]
    name = "Alternate UIs"
    identifier = "alternate_uis"
  [[menu.main]]
    parent = "alternate_uis"
    name = "Twitter Like (Halcyon)"
    url = "https://itter.photog.social"
  [[menu.main]]
    parent = "alternate_uis"
    name = "Instagram Like (Pinafore)"
    url = "https://pinafore.photog.social"
  [[menu.main]]
    name = "Resources"
    identifier = "resources"
  [[menu.main]]
    parent = "resources"
    name = "Code of Conduct"
    url = "https://photog.social/about/more"
